//===========================================================================
//文件名称：task_client.c
//功能概要：定义task_client任务
//版权所有：苏州大学飞思卡尔嵌入式中心(sumcu.suda.edu.cn)
//===========================================================================
#include "app_inc.h"
//===========================================================================
//函数名称：task_client
//参数说明：用户索引号
//函数返回：无
//功能概要：任务向服务器端消息队列发送一个消息，并等待回复，之后将收到的回复消息释放。  
//===========================================================================
void task_client(uint32_t index)
{
	_mqx_uint msg[MSG_SIZE];//任务的消息缓冲区
  
   while (TRUE) 
   {
      msg[0] = ('A'+ index);//发送的消息为客户端任务的编号
      //向服务器端消息队列发送消息
      _lwmsgq_send((pointer)server_queue, msg, LWMSGQ_SEND_BLOCK_ON_FULL);
      printf("Client Task %ld sended message to server.\n", index);
      _time_delay(1000);      
      //等待服务器端回发消息
      _lwmsgq_receive((pointer)client_queue, msg, LWMSGQ_RECEIVE_BLOCK_ON_EMPTY, 0, 0);
      printf("Client Task %ld received postback message.\n", index);
   }
}
